package cz.jzitnik.game.threads.list;

import cz.jzitnik.game.annotations.ThreadAnnotation;
import cz.jzitnik.game.entities.Player;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@ThreadAnnotation
public class HungerDrainThread extends Thread {
    private final Player player;

    @Override
    public void run() {
        while (true) {
            try {
                Thread.sleep(30000);
                player.drainHunger();
            } catch (InterruptedException e) {
                break;
            }
        }
    }
}
